Note: the following settings cannot be modified via the API:
- API Confirmation Resend Block Timeout
- Resubscribers
FAQs
What are the limitations for a keyword?- A keyword must contain at least two characters and no more than 15 characters.
- Keywords are not case sensitive.
FOOwill matchfoo,FOO, andFoo. - You can’t use obscene words. We’re not going to spell them out here.
- No. The system checks for duplicate keywords by transforming all keywords to uppercase before performing matching algorithms.
- The response from the API will be a 422 error with the response body looking like this:
{"status":"error","error":"invalid keyword names: EXISTINGKW"}
- Yes. By utilizing this endpoint. The response will either be:
{"status":"OK","keyword_name":"available"}
{"status":"OK","keyword_name":"unavailable","error":"Name is in use"}
- Yes. The
keyword_namesparameter would need to be an array, like this:
{"keyword_names":["TEST","KEYWORD","NAMES"]}
- REPLY Response is the response sent to the subscriber if they respond to the message with the word
REPLY.
Request URL
POST https://app.tatango.com/api/v2/lists/